
export class LinqUtils {
    public static GroupBy(xs: any[], key: any) {
      return xs.reduce(function(rv, x) {
        (rv[x[key]] = rv[x[key]] || []).push(x);
        return rv;
      }, {});
    }
}